## plasma-mobile 2.0+git2012021101

=== applications/CMakeLists.txt ===
add_subdirectory(about)
add_subdirectory(imageviewer)
add_subdirectory(settings)
#add_subdirectory(videoplayer) # Disabled for now
add_subdirectory(webbrowser)
