=== applications/settings/src/CMakeLists.txt ===

set(active-settings_SRCS
    main.cpp
    activesettings.cpp
    activesettingswindow.cpp
    view.cpp
    settingsmodulesitem.cpp
    settingsmodulesmodel.cpp
    settingsmodule.cpp
    settingsmoduleloader.cpp
    configmodel.cpp
)

KDE4_ADD_EXECUTABLE(active-settings ${active-settings_SRCS})

target_link_libraries(active-settings
    ${QT_QTDECLARATIVE_LIBRARY}
    ${KDE4_PLASMA_LIBS}
    kdeclarative
)

install( TARGETS active-settings ${INSTALL_TARGETS_DEFAULT_ARGS} )
