=== applets/CMakeLists.txt ===
installPackage(active-welcome org.kde.active.welcome)
installPackage(notifications org.kde.active.notifications)
installPackage(powerbutton org.kde.active.powerbutton)
installPackage(resourcelist org.kde.resourcelist)

add_subdirectory(locationchooser)
