=== shell/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-include_directories(${KDEBASE_WORKSPACE_SOURCE_DIR}/libs 
+include_directories(${KDEBASE_WORKSPACE_SOURCE_DIR}/libs
                     ${KDEBASE_WORKSPACE_SOURCE_DIR}/libs/kworkspace)
 
 include(KDE4Defaults)
@@ -16,7 +16,6 @@
     panelproxy.cpp
     panelshadows.cpp
 
-    ../components/runnermodel/runnermodel.cpp
     mobileactivitythumbnails/mobileactivitythumbnails.cpp
     mobileactivitythumbnails/imagescaler.cpp
 
@@ -27,6 +26,8 @@
     widgetsexplorer/kcategorizeditemsviewmodels.cpp
     widgetsexplorer/plasmaappletitemmodel.cpp
 )
+
+add_kao_ontology(plasma-device_SRCS)
 
 #set(ksmserver_xml ${KDEBASE_WORKSPACE_SOURCE_DIR}/ksmserver/org.kde.KSMServerInterface.xml)
 set(ksmserver_xml ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSMServerInterface.xml)
@@ -58,4 +59,3 @@
 install(DIRECTORY widgetsexplorer/package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.widgetexplorer PATTERN .svn EXCLUDE PATTERN Messages.sh EXCLUDE)
 install(DIRECTORY activityconfiguration/package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.activityconfiguration PATTERN .svn EXCLUDE PATTERN Messages.sh EXCLUDE)
 
-add_subdirectory(firstrun)
