=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16~), quilt (>= 0.46-7~), cmake,
 pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4.8.80),
 libkactivities-dev, libqt4-opengl-dev, libqtwebkit-dev,
 kde-workspace-dev, libxrender-dev, shared-desktop-ontologies,
 libicu-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/

Package: plasma-mobile
Architecture: all
Depends: plasma-active
Description: transitional package for plasma-active
 This is a transitional package to ease upgrades to the plasma-active package.
 It can safely be removed.

Package: plasma-active
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 plasma-active-data (= ${source:Version}),
 plasma-active-mobilecomponents (= ${binary:Version}),
 plasma-active-metadatamodels (= ${binary:Version}),
 share-like-connect,
 libqtwebkit-qmlwebkitplugin,
 plasma-widgets-addons (>= 4.7),
 plasma-widgets-workspace,
 startactive,
 startactive-ksplash-theme,
 libqtmultimediakit1,
 libdeclarative-multimedia,
 kde-artwork-active,
 startactive
Recommends: plasma-active-settings (= ${binary:Version}),
 plasma-widgets-active (= ${binary:Version}),
 plasma-active-webbrowser (= ${binary:Version})
Description: KDE Plasma Active workspace for mobile devices
 Provides a basic KDE plasma workspace for mobile environments, which supports
 a wide variety of mobile application types.
 Applications which integrate best in this environment follow standards used by
 the KDE Platform.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-mobilecomponents
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-runtime
Description: Qt Quick components for the Plasma Active workspace
 Qt Quick components to develop applications for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-metadatamodels
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-active (<< 2.0+git20120717)
Breaks: plasma-active (<< 2.0+git20120717)
Description: Meta Data Plugin for Plasma
 A plugin for Plasma which allows for easy access
 to Nepomuk meta data.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-webbrowser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtwebkit-qmlwebkitplugin,
 plasma-active-mobilecomponents (= ${binary:Version}),
 libqt4-declarative-gestures
Description: web browser for the KDE Plasma Active workspace
 Provides a simple web browser optimized for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-settings
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 plasma-active-mobilecomponents (= ${binary:Version})
Description: settings for the KDE Plasma Active workspace
 Provides a settings user interface optimized for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-keyboardcontainer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tech preview of the KDE plasma workspace for mobile devices
 Provides a simple virtual keyboard for the Plasma Active Workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-widgets-active
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-active-data (<< 2.0+git20120717)
Breaks: plasma-active-data (<< 2.0+git20120717)
Description: plasma widgets and containments for the KDE Plasma Active
 This package contains standard Plasma widgets and containments shipped in the
 KDE Plasma Active workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-data
Architecture: all
Depends: ${misc:Depends}
Replaces: plasma-active-imageviewer
Conflicts: plasma-active-imageviewer
Description: shared data files for the KDE Plasma Active workspace
 This package contains architecture-independent shared data files needed for the
 KDE Plasma Active installation.
 .
 This package is part of the Plasma Active platform.
