## plasma-mobile 3.0

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 7.3.16~),
               kde-workspace-dev,
               kdelibs5-dev (>= 4.8.80),
               kdepimlibs5-dev,
               libakonadi-dev,
               libicu-dev,
               libkactivities-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.12),
               quilt (>= 0.46-7~),
               shared-desktop-ontologies
Standards-Version: 3.9.2
Homepage: http://www.kde.org/

Package: plasma-mobile
Architecture: all
Depends: plasma-active
Description: transitional package for plasma-active
 This is a transitional package to ease upgrades to the plasma-active package.
 It can safely be removed.

Package: plasma-active
Architecture: any
Depends: kde-artwork-active,
         libdeclarative-multimedia,
         libqtmultimediakit1,
         libqtwebkit-qmlwebkitplugin,
         plasma-active-data (= ${source:Version}),
         plasma-active-metadatamodels (= ${binary:Version}),
         plasma-active-mobilecomponents (= ${binary:Version}),
         plasma-widgets-addons (>= 4.7),
         plasma-widgets-workspace,
         share-like-connect,
         startactive,
         startactive-ksplash-theme,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: plasma-active-settings (= ${binary:Version}),
            plasma-active-webbrowser (= ${binary:Version}),
            plasma-widgets-active (= ${binary:Version})
Description: KDE Plasma Active workspace for mobile devices
 Provides a basic KDE plasma workspace for mobile environments, which supports
 a wide variety of mobile application types.
 Applications which integrate best in this environment follow standards used by
 the KDE Platform.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-mobilecomponents
Architecture: any
Depends: kde-runtime, ${misc:Depends}, ${shlibs:Depends}
Description: Qt Quick components for the Plasma Active workspace
 Qt Quick components to develop applications for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-metadatamodels
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: plasma-active (<< 2.0+git20120717)
Breaks: plasma-active (<< 2.0+git20120717)
Description: Meta Data Plugin for Plasma
 A plugin for Plasma which allows for easy access
 to Nepomuk meta data.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-webbrowser
Architecture: any
Depends: libqt4-declarative-gestures,
         libqtwebkit-qmlwebkitplugin,
         plasma-active-mobilecomponents (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: web browser for the KDE Plasma Active workspace
 Provides a simple web browser optimized for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-settings
Architecture: any
Depends: plasma-active-mobilecomponents (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: settings for the KDE Plasma Active workspace
 Provides a settings user interface optimized for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-widgets-active
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: plasma-active-data (<< 2.0+git20120717)
Breaks: plasma-active-data (<< 2.0+git20120717)
Description: plasma widgets and containments for the KDE Plasma Active
 This package contains standard Plasma widgets and containments shipped in the
 KDE Plasma Active workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-data
Architecture: all
Depends: ${misc:Depends}
Replaces: plasma-active-imageviewer
Conflicts: plasma-active-imageviewer
Description: shared data files for the KDE Plasma Active workspace
 This package contains architecture-independent shared data files needed for the
 KDE Plasma Active installation.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-dev
Architecture: any
Depends: plasma-active, ${misc:Depends}, ${shlibs:Depends}
Description: development files for Plasma Active
 This package contains development files for building applications ontop of
 Plasma Active platform.
 .
 This package is part of the Plasma Active platform.
