=== debian/changelog ===
plasma-mobile (5.27.2-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes
  * Drop no more needed patch

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 28 Feb 2023 19:37:29 +0100

plasma-mobile (5.27.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/control after upstream CMakeLists.txt
  * Update d/copyright after upstream changes
  * Cherry-pick upstream commit for fixing crash on unlocking
  * Plasma-mobile-tweaks set as multi-arch:foreign
  * Lintian-override on library-not-linked-against-libc for s390x arch

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Fri, 17 Feb 2023 12:44:20 +0100

plasma-mobile (5.26.90-2) unstable; urgency=medium

  * Source-only upload

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 04 Feb 2023 03:11:08 +0100

plasma-mobile (5.26.90-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * Initial release. Closes: #1023236

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 03 Feb 2023 12:59:56 +0100
