=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               kirigami-addons-dev (>= 0.6~),
               kwin-dev,
               libkf5declarative-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.26~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5networkmanagerqt-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5plasma-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5wayland-dev (>= 4:5.102.0~),
               modemmanager-qt-dev (>= 5.102.0~),
               pkg-config,
               pkg-kde-tools,
               plasma-workspace-dev,
               qml-module-org-kde-pipewire (>= 5.26~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-mobile
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/plasma-mobile
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/plasma-mobile.git
Rules-Requires-Root: no

Package: plasma-mobile
Architecture: any
Multi-Arch: foreign
Depends: bluedevil,
         breeze-icon-theme,
         fonts-mplus,
         fonts-oxygen,
         kpeople-vcard,
         maliit-keyboard,
         milou,
         pipewire,
         plasma-nano,
         plasma-nm,
         plasma-pa,
         plasma-settings,
         plasma-workspace,
         plasma-workspace-wayland,
         powerdevil,
         qml-module-org-kde-activities,
         qml-module-org-kde-bluezqt,
         qml-module-org-kde-kio,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kirigami-addons-labs-mobileform,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-people,
         qml-module-org-kde-pipewire,
         qml-module-org-kde-qqc2breezestyle,
         qml-module-qtfeedback,
         qml-module-qtquick-localstorage,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-config-mobile-networking,
            plasma-mobile-tweaks,
Description: Open-source user interface for phones, based on Plasma technologies
 Plasma Mobile is an open-source user interface and ecosystem targeted at
 mobile devices, built on the KDE Plasma stack.
 .
 A pragmatic approach is taken that is inclusive to software regardless of
 toolkit, giving users the power to choose whichever software they want to
 use on their device.
 .
 Plasma Mobile aims to contribute to and implement open standards, and is
 developed in a transparent process that is open for anyone to participate in.

Package: plasma-mobile-tweaks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Components to improve the Plasma mobile UX on touch devices
 plasma-mobile-tweaks package contains recommended configurations for
 distributions shipping Plasma Mobile by default.
 .
 Some important changes include:
  - Setting the default look-and-feel package
  - Set the default keyboard to maliit-keyboard
  - Prevent some unneeded applications from showing in the app list
