## plasma-mobile 5.27.8

=== debian/changelog ===
plasma-mobile (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:31:39 +0100

plasma-mobile (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:15:53 +0100

plasma-mobile (5.27.6-1ubuntu1) mantic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer field.
    - Bump plasma build dep versions all to 5.27.6.

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Jul 2023 22:09:13 +0100

plasma-mobile (5.27.6-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 15 Jul 2023 09:04:21 +0200

plasma-mobile (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:37:28 +0100

plasma-mobile (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 15:16:59 +0100
