=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: plasma-mobile
 Section: kde
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
            Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.102.0~),
                kirigami-addons-dev (>= 0.6~),
-               kwin-dev,
+               kwin-dev (>= 4:5.27.8~),
                libkf5declarative-dev (>= 5.102.0~),
                libkf5i18n-dev (>= 5.102.0~),
                libkf5kcmutils-dev (>= 5.26~),
@@ -21,14 +22,14 @@
                modemmanager-qt-dev (>= 5.102.0~),
                pkg-config,
                pkg-kde-tools,
-               plasma-workspace-dev,
-               qml-module-org-kde-pipewire (>= 5.26~),
+               plasma-workspace-dev (>= 4:5.27.8~),
+               qml-module-org-kde-pipewire (>= 5.27.8~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/plasma-mobile
-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/plasma-mobile
-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/plasma-mobile.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
 Rules-Requires-Root: no
 
 Package: plasma-mobile
