=== debian/changelog ===
plasma-mobile (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:11:34 +1100

plasma-mobile (5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:24:09 +0000

plasma-mobile (5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:27:00 +0000

plasma-mobile (5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer field.
    - Bump plasma build dep versions all to 5.27.10.

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 04:11:17 -0700

plasma-mobile (5.27.10-1) unstable; urgency=medium

  * New upstream release (Closes: #1060264)

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 09 Jan 2024 21:16:34 +0100

plasma-mobile (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:22:38 +0000

plasma-mobile (5.27.9-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes
  * Drop open-source from short description in d/control (Closes: #1052401)
  * Assign flashes' control to users in the plugdev group

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 28 Oct 2023 23:28:10 +0200

plasma-mobile (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:19:52 +0100

plasma-mobile (5.27.8-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes
  * Use same d/upstream/signing-key.asc as other Plasma mobile packages

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Thu, 14 Sep 2023 19:31:22 +0200
