=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.102.0~),
                kirigami-addons-dev (>= 0.6~),
-               kwin-dev (>= 4:5.27.8~),
+               kwin-dev (>= 4:5.27.11~),
                libkf5declarative-dev (>= 5.102.0~),
                libkf5i18n-dev (>= 5.102.0~),
                libkf5kcmutils-dev (>= 5.26~),
@@ -20,10 +20,10 @@
                libkf5service-dev (>= 5.102.0~),
                libkf5wayland-dev (>= 4:5.102.0~),
                modemmanager-qt-dev (>= 5.102.0~),
-               pkg-config,
                pkg-kde-tools,
-               plasma-workspace-dev (>= 4:5.27.8~),
-               qml-module-org-kde-pipewire (>= 5.27.8~),
+               pkgconf,
+               plasma-workspace-dev (>= 4:5.27.11~),
+               qml-module-org-kde-pipewire (>= 5.27.11~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
